KausateKausate Docs
Monitors
Viewing API version 2026-05-01. View the latest version.

List events for a monitor

List the change events recorded for a monitor, filtered by code, category or time range.

GET
/v2/monitors/{monitorId}/events
X-API-Key<token>

Sign up at Kausate.com to get an API key

In: header

Path Parameters

monitorId*string
Formatuuid

Query Parameters

eventCode?|
category?|
since?|
until?|
limit?integer
Default100
Range1 <= value <= 500
offset?integer
Default0
Range0 <= value

Header Parameters

Kausate-Version?string
Default"2026-05-01"
Formatdate

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.kausate.com/v2/monitors/497f6eca-6276-4993-bfeb-53cbbbba6f08/events" \  -H "Kausate-Version: 2026-05-01"
{
  "events": [
    {
      "eventId": "d6703cc8-9e79-415d-ac03-a4dc7f6ab43c",
      "monitorId": "075fef10-8522-4c43-ac39-f1796133943e",
      "kausateId": "string",
      "eventCode": "NAME_CHANGED",
      "category": "status",
      "severity": "info",
      "detectedAt": "2019-08-24T14:15:22Z",
      "diffPath": "string",
      "before": null,
      "after": null,
      "metadata": {},
      "deliveries": [
        {
          "channel": "string",
          "status": "string",
          "target": "string",
          "lastError": "string",
          "deliveredAt": "2019-08-24T14:15:22Z",
          "createdAt": "2019-08-24T14:15:22Z"
        }
      ]
    }
  ],
  "total": 0
}
{
  "detail": "Not authenticated",
  "code": "auth.unauthorized",
  "request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}
{
  "detail": "Invalid API key",
  "code": "auth.forbidden",
  "request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}
{
  "detail": "Company not found",
  "code": "company.not_found",
  "request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}
{
  "detail": [
    {
      "loc": [
        "body",
        "jurisdictionCode"
      ],
      "msg": "Field required",
      "type": "missing"
    }
  ],
  "code": "request.invalid",
  "request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}
{
  "detail": "An internal error occurred",
  "code": "internal.unexpected",
  "request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}

Last updated on